Page MenuHomePhabricator

Jenkins: should run tests/AutoLoaderTest.php
Closed, ResolvedPublic

Description

I suspect that CI is not running this test, because it has been failing on master for a while. I had to make these changes to successfully run the tests:
https://gerrit.wikimedia.org/r/#/c/59804/9/tests/TestsAutoLoader.php


Version: wmf-deployment
Severity: normal

Details

Reference
bz47750

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:44 AM
bzimport set Reference to bz47750.
awight created this task.Apr 26 2013, 8:04 PM

The AutoLoaderTest.php is not registered in phpunit. I have created https://gerrit.wikimedia.org/r/#/c/64788/ which registered it in suite.xml under the 'structure' test suite and that fails accordingly.

I have added the missing autoloader entries.

Related URL: https://gerrit.wikimedia.org/r/64791 (Gerrit Change I285fa7ed24a6fc45a4dc475b54d80cf3816436fb)

https://gerrit.wikimedia.org/r/#/c/64791/ fix the missing AutoLoader entries

https://gerrit.wikimedia.org/r/#/c/64788/ move the AutoLoaderTest.php StructureTest.php files under /tests/phpunit/structures and register that directory in PHPUnit suite.

Both changes fix the issue. The later probably need a backport in release branches with their own autoloading fixes.

Can this issue be closed?

hashar added a comment.Jun 6 2013, 8:53 AM

We should test it out one last time to make sure it is working properly.

Ideally I would want that to be backported in the release branches as well, though we usually do not introduce new classes in release branches post release.

Change 80981 had a related patch set uploaded by Hashar:
test: run autoloader suite

https://gerrit.wikimedia.org/r/80981

REL1_19 and REL1_20 do not have an autoloading test. Change 80981 tweak REL1_21.

Change 80981 merged by jenkins-bot:
test: run autoloader suite

https://gerrit.wikimedia.org/r/80981